<template>
  <b-navbar toggleable="sm" type="dark" variant="primary">
    <b-navbar-brand to="/">Review app (Nedasco)</b-navbar-brand>

    <b-navbar-nav class="ml-auto">
      <b-nav-item to="/contacts">Contacts</b-nav-item>
      <b-nav-item to="/news">News</b-nav-item>
      <b-nav-item class="mr-3" to="/faq">FAQ</b-nav-item>
      <b-nav-item-dropdown right>
        <template v-slot:button-content>{{user}}</template>
        <b-dropdown-item target="_blank" :href="accountUrl">Profile</b-dropdown-item>
        <b-dropdown-item :href="logoutUrl">Sign Out</b-dropdown-item>
      </b-nav-item-dropdown>
    </b-navbar-nav>
  </b-navbar>
</template>


<script>
import Vue from 'vue';

export default {
  computed: {
    user: () => Vue.prototype.$keycloak.fullName,
    accountUrl: () => Vue.prototype.$keycloak.createAccountUrl(),
    logoutUrl: () => Vue.prototype.$keycloak.createLogoutUrl(),
  },
};
</script>
